1. Uppsala Wallet Screening
디지털 자산 지갑 주소를 제공함으로써, 본 API는 해당 지갑 주소와 관련된 위험을 탐지합니다.
지갑 주소에 대한 위험 탐지 결과는 "BLACK/GRAY/WHITE/UNKNOWN"으로 제공되며, 탐지 결과가 "BLACK" 및 "GRAY"에 해당하는 경우 범죄 피해 유형에 대한 추가 정보가 제공됩니다.
Uppsala Wallet Screening API는 개발 환경을 지원하지 않습니다. 운영 환경을 사용하십시오.
참고: 본 API는 CodeVASP와 Uppsala Security가 공동 운영합니다. 문의사항이나 접근 권한 요청은 partnership@codevasp.com으로 연락하십시오.
Endpoint
POST /v1/code/uppsala/wallet
Request Parameters
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| walletAddress | string | Required | 디지털 자산 지갑 주소. |
| chain | string | Required | 디지털 자산 심볼 (예: "ETH"). 지원 대상: BTC, ETH, SOL, LTC, TRX, EOS, XLM, ADA, BNB, BCH, XRP, BSC, KLAY, DASH, DOGE, ZEC, FTM, MATIC, AVAX. |
Response
Fields
| Name | Type | Description |
|---|---|---|
| result | string | 결과 (NORMAL, ERROR). |
| id | string | 트래픽 ID. |
| walletAddress | string | 요청된 지갑 주소. |
| securityCategory | string | 위험 수준 (BLACK, GRAY, WHITE, UNKNOWN). |
| reasonMsg | string | 오류 시 상세 메시지. |
| securityTags | array | BLACK/GRAY인 경우 태그 목록 (예: "Gambling"). |
보안 범주:
BLACK: 매우 의심스러움GRAY: 의심스러움WHITE: 정상UNKNOWN: 알 수 없음
보안 태그 (예시):
- BLACK: Adware, Darknet, Hack, Malware, Phishing, Ransomware, Scam...
- GRAY: Gambling, High Risk Exchange...
Examples
Request
curl --request POST \
--url https://trapi-dev.codevasp.com/v1/code/uppsala/wallet \
--header 'X-Code-Req-Datetime: 2024-03-04T15:10Z' \
--header 'X-Code-Req-Nonce: 989166249' \
--header 'X-Code-Req-PubKey: YourPubkey' \
--header 'X-Code-Req-Signature: Signature' \
--header 'X-Request-Origin: code:yourVaspEntityId' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '
{
"walletAddress": "0x67c9c03dC2aa8C7EcB6b30494aA757367ed2981C",
"chain": "ETH"
}
'
Response
{
"result": "NORMAL",
"id": "dummy-0313013706-57359efa",
"walletAddress": "0x67c9c03dC2aa8C7EcB6b30494aA757367ed2981",
"securityCategory": "BLACK",
"securityTags": [
"Gambling",
"Malware",
"Darknet"
]
}